Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/perl-libnet: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sun, 13 Dec 2015 18:07:05 +0200

---
 testing/perl-libnet/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/perl-libnet/APKBUILD
diff --git a/testing/perl-libnet/APKBUILD b/testing/perl-libnet/APKBUILD
new file mode 100644
index 0000000..47c1054
--- /dev/null
+++ b/testing/perl-libnet/APKBUILD
_at_@ -0,0 +1,43 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-libnet
+_pkgreal=libnet
+pkgver=3.07
+pkgrel=0
+pkgdesc="Collection of network protocol modules"
+url="http://search.cpan.org/dist/libnet/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SH/SHAY/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+	mv "$pkgdir"/usr/share/perl5/vendor_perl/* "$pkgdir"/usr/lib/perl5/vendor_perl
+	rm -fr "$pkgdir"/usr/share/perl5
+}
+
+md5sums="b08cc6280201f84e0eee74107b713994  libnet-3.07.tar.gz"
+sha256sums="d9a23d8907e681e788a6f1a71915b1d37d057091e88049e5a4064c99ca2c9cd7  libnet-3.07.tar.gz"
+sha512sums="f1766501e46bb2a75a58c73e9416166ff0aec1eee462df04cd533747aa5d0d4a7411072440fd338cedb8b2ee522bec06f9814bd04ecf95ce9080a985ff17f745  libnet-3.07.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Dec 13 2015 - 18:07:05 GMT